package org.seasar.jsf.selector;

import org.seasar.jsf.JsfConstants;
import org.seasar.jsf.TagProcessor;
import org.seasar.jsf.TagSelector;
import org.seasar.jsf.processor.HtmlProcessor;
import org.xml.sax.Attributes;

/**
 * @author higa
 *
 */
public class HtmlSelector implements TagSelector {

	public HtmlSelector() {
	}

	public boolean isSelectable(String namespaceURI, String localName,
			String qName, Attributes attributes) {

		return JsfConstants.HTML_ELEM.equalsIgnoreCase(qName);
	}

	public TagProcessor createProcessor() {
		return new HtmlProcessor();
	}

}
